{
  "name": "workpost_gig/start",
  "info": "start new work phase...",
  "start_new_phase": {
    "code": [
      {
        "parameter": [
          "wpa",
          "wos_rec",
          "convert/wpa/workpost_gig/start_new_wpa.json"
        ],
        "function": "convertAndSave",
        "result": "ret_wpa"
      },
      {
        "parameter": ["4d", "ret_wpa"],
        "function": "updateWpaCalculatedField",
        "result": ["ret_wpa"]
      },
      {
        "value": "ret_wpa",
        "result": "return_value"
      },
      {
        "parameter": ["4d","ret_wpa"],
        "function": "saveToDatabase",
        "result": "errWpa"
      }
    ]
  },
  "code": [
    {
      "parameter": [
        "wpa/employee_open_phase.json", "query"
      ],
      "function": "query",
      "result": "ret_wpa"
    },
    {
      "if": [
        "ret_wpa",
        "is empty"
      ],
      "true": "start_new_phase"
    }
  ]
}
